# $Id: jailkit.spec

Summary: Utilities to limit user accounts to specific files using chroot()
Name: jailkit
Version: 2.23
Release: 4%{?dist}
License: Open Source
Group: System Environment/Base
URL: http://olivier.sessink.nl/jailkit/

Packager: Michael Stauber <mstauber@solarspeed.net>
Vendor: SOLARSPEED.NET

Source: http://olivier.sessink.nl/jailkit/jailkit-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils, gcc, make
BuildRequires: glibc-devel
BuildRequires: python3

%description
Jailkit is a set of utilities to limit user accounts to specific files
using chroot() and or specific commands. Setting up a chroot shell,
a shell limited to some specific command, or a daemon inside a chroot
jail is a lot easier using these utilities.

Jailkit has been in use for a while on CVS servers (in a chroot and
limited to cvs), sftp/scp servers (both in a chroot and limited to
sftp/scp as well as not in a chroot but only limited to sftp/scp),
and also on general servers with accounts where the shell accounts
are in a chroot.

%prep
%setup

# apparently not needed anymore
### Disable broken Makefile :(
#%{__perl} -pi.orig -e 's|>>||g' Makefile.in

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%{__install} -Dp -m0755 extra/jailkit %{buildroot}%{_initrddir}/jailkit

#%post
#cat /etc/shells | grep -v jk_chrootsh >/etc/shells
#echo "/usr/bin/jk_chrootsh" >> /etc/shells
#/sbin/chkconfig --add jailkit
systemctl daemon-reload >/dev/null || 2>&1 :

#%postun
#cat /etc/shells | grep -v jk_chrootsh >/etc/shells
systemctl daemon-reload >/dev/null || 2>&1 :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc %{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/jailkit/
#%config %{_initrddir}/jailkit
%{_sbindir}/jk_*
%{_bindir}/jk_uchroot
%{_datadir}/jailkit/
/usr/lib/systemd/system/jailkit.service

%changelog
* Fri Oct 28 2022 Michael Stauber <mstauber@solarspeed.net> - 2.23-4
- Sustituted our own jailkit-2.23/ini/jk_init.ini in tarball

* Mon Oct 10 2022 Michael Stauber <mstauber@solarspeed.net> - 2.23-3
- Removed comments from stock jk_socketd.ini

* Thu Nov 11 2021 Michael Stauber <mstauber@solarspeed.net> - 2.23-2
- Removed old RC-script from RPM

* Thu Nov 11 2021 Michael Stauber <mstauber@solarspeed.net> - 2.23-1
- Updated to 2.23 for EL9, as we need the added Python-3 support
- Added Systemd Unit File jailkit.service

* Mon Jul 08 2019 Michael Stauber <mstauber@solarspeed.net> - 2.20-1
- Initial build
